aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-10-27 12:50:19 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-10-27 12:50:19 +0000
commit228954dbe482910f3fc92faece1627a636b73299 (patch)
treedd5fb9adc5e34cf656b02e756a11d03e88e6ba0a
parent61a96ce9ceea8a416d9500f276de460ce93a518e (diff)
downloadaports-228954dbe482910f3fc92faece1627a636b73299.tar.gz
aports-228954dbe482910f3fc92faece1627a636b73299.tar.bz2
aports-228954dbe482910f3fc92faece1627a636b73299.tar.xz
testing/cgdb: new aport
The Curses Debugger http://cgdb.sourceforge.net/
-rw-r--r--testing/cgdb/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/cgdb/APKBUILD b/testing/cgdb/APKBUILD
new file mode 100644
index 0000000000..d3981d964b
--- /dev/null
+++ b/testing/cgdb/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Harry
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+
+pkgname=cgdb
+pkgver=0.6.6
+pkgrel=0
+pkgdesc="The Curses Debugger"
+arch="all"
+license=GPL
+url="http://cgdb.sourceforge.net/"
+depends="ncurses-dev readline-dev gdb"
+source="http://downloads.sourceforge.net/project/cgdb/cgdb/cgdb-$pkgver/cgdb-$pkgver.tar.gz"
+subpackages="$pkgname-doc"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --libdir=/usr/lib || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make install \
+ pkgconfigdir="/usr/lib/pkgconfig" \
+ DESTDIR="$pkgdir" || return 1
+ mkdir -p "$pkgdir"/usr/share/doc
+ mv "$pkgdir"/usr/share/cgdb "$pkgdir"/usr/share/doc/
+}
+
+md5sums="394b542b495755ab8392b7e88dace744 cgdb-0.6.6.tar.gz"
+
+